Whatsapp business phone number list

Return the list of Whatsapp business phone number that the user has registered

Request

GET https://wa.antgst.com/v1/whatsapp/businessPhoneNumber

Header Parameters

Authorization

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Query Params

Field

Type

Required(*)

Description

wabaId

String

false

Whatsapp Business Account ID.

qualityRating

String

false

Quality rating. One of GREEN YELLOW UNKNOWN. See also Phone Number Quality Ratingarrow-up-right.

- GREEN: High quality.

- YELLOW: Medium quality.

- RED: Low quality.

- UNKNOWN: Unknown quality. GREEN YELLOW RED UNKNOWN

pageNo

int

false

Page number of the results to be returned. 1 to 100 Defaults to 1

pageSize

int

false

Maximum number of pages per page. 1 to 100 Defaults to 10

Request Example:

curl --location --request GET 'https://wa.antgst.com/v1/whatsapp/businessPhoneNumber?pageNo=1&pageSize=20' \
--header 'Authorization: Bearer ...' 

Response Example:

{
    "data": [
        {
            "wabaId": "String",
            "phoneNumberId": "String",
            "displayPhoneNumber": "String",
            "verifiedName": "String",
            "status": "CONNECTED",
            "qualityRating": "GREEN",
            "codeVerificationStatus": "NOT_VERIFIED",
            "throughput": "STANDARD",
            "messagingLimitTier": "TIER_2K",
            "createTime": "2025-12-16T15:46:51.000+08:00",
            "updateTime": "2025-12-16T15:46:51.000+08:00"
        }
    ],
    "total": 1,
    "size": 20,
    "current": 1,
    "pages": 1
}

Response parameter description:

wabaId

WhatsApp Business Account ID.

phoneNumberId

Business Phone Number ID.

displayPhoneNumber

Business Phone display phone number.

verifiedName

Business Phone verified name.

status

The status of a WhatsApp business phone number.

+ PENDING: Pending. Phone number is newly added. Verify and register this phone number so it can be connected to your account.

+ UNVERIFIED: Unverified. Verify this phone number to start sending messages.

+ MANUAL_REVIEW: Being reviewed. Phone number is currently being reviewed for connection to your account.

+ DISCONNECTED: Offline. Phone number is currently not reachable by WhatsApp servers. + CONNECTED: Connected. Phone number is associated with this account and working properly.

+ FLAGGED: Flagged. This phone number has been flagged due to low quality messages.

+ WARNED: Warned. A warning has been issued for this number, potentially due to spam reports.

+ RATE_LIMITED: Rate limited. The number of messages you can send from this phone number may be restricted.

+ BANNED: Banned. Phone number cannot be used with a WhatsApp account.

+ RESTRICTED: Restricted. This phone number has reached its 24-hour messaging limit and can no longer send messages to customers. Please wait until the messaging limit is reset to send messages.

+ BLOCKED: Message limit reached. The limit has been reached for this 24-hour period.

+ MIGRATED: Transferred. This phone number has been transferred to another WhatsApp Business account.

+ UNKNOWN: Unavailable. The status of this phone number can't be determined right now.

qualityRating

Quality rating. One of GREEN YELLOW UNKNOWN. See also Phone Number Quality Ratingarrow-up-right.

+ GREEN: High quality.

+ YELLOW: Medium quality.

+ RED: Low quality.

+ UNKNOWN: Unknown quality. GREEN YELLOW RED UNKNOWN

codeVerificationStatus

To see if a phone number has been verified via OTP (one-time password). VERIFIED NOT_VERIFIED

throughput

The total number of messages sent and received per second. See also throughputarrow-up-right.

messagingLimitTier

Messaging limits determine the maximum number of business-initiated conversations each phone number can start in a rolling 24-hour period. See also Messaging Limitsarrow-up-right.

+ TIER_NOT_SET: Unknown limit.

+ TIER_50: 50 business-initiated conversations in a rolling 24-hour period.

+ TIER_250: 250 business-initiated conversations in a rolling 24-hour period.

+ TIER_1K: 1K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_10K: 10K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_100K: 100K business-initiated conversations with unique customers in a rolling 24-hour period.

+ TIER_UNLIMITED: An unlimited number of business-initiated conversations in a rolling 24-hour period.

createTime

Business phone number registration time. Follows the ISO 8601 international standard for representing date and time.

updateTime

Business phone number update time. Follows the ISO 8601 international standard for representing date and time.

total

The total number of data.

size

The number of pages per page.

current

Current page number.

pages

Total number of pages.

Last updated